- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.notificationConfigs/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.notificationConfigs/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.notificationConfigs/get#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.notificationConfigs/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.notificationConfigs/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.notificationConfigs/get#try-it)

Gets a notification config.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `name` field:

- `securitycenter.notificationconfig.get`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`GET https://securitycenter.googleapis.com/v1/{name=organizations/*/notificationConfigs/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the notification config to get. Its format is `organizations/[organizationId]/notificationConfigs/[configId]`, `folders/[folder_id]/notificationConfigs/[configId]`, or `projects/[projectId]/notificationConfigs/[configId]`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.notificationConfigs#NotificationConfig`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).